storm-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bo...@apache.org
Subject [2/3] storm git commit: Abstract modules in travis script a bit
Date Mon, 02 Jul 2018 14:48:55 GMT
Abstract modules in travis script a bit


Project: http://git-wip-us.apache.org/repos/asf/storm/repo
Commit: http://git-wip-us.apache.org/repos/asf/storm/commit/5204647e
Tree: http://git-wip-us.apache.org/repos/asf/storm/tree/5204647e
Diff: http://git-wip-us.apache.org/repos/asf/storm/diff/5204647e

Branch: refs/heads/master
Commit: 5204647e0513b9c3d1180c3a5fa79d413cd86cef
Parents: f0d0b3e
Author: Stig Rohde Døssing <srdo@apache.org>
Authored: Thu Jun 28 17:55:29 2018 +0200
Committer: Stig Rohde Døssing <srdo@apache.org>
Committed: Thu Jun 28 22:41:15 2018 +0200

----------------------------------------------------------------------
 .travis.yml                       | 10 +++---
 dev-tools/travis/travis-script.sh | 60 ++++++++++++++++++++--------------
 2 files changed, 41 insertions(+), 29 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/storm/blob/5204647e/.travis.yml
----------------------------------------------------------------------
diff --git a/.travis.yml b/.travis.yml
index 3d57bea..accbd95 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -14,11 +14,11 @@ addons:
     - node1
 
 env:
-  - MODULES=storm-client
-  - MODULES=storm-server
-  - MODULES=storm-core
-  - MODULES='!storm-client,!storm-server,!storm-core'
-  - MODULES='INTEGRATION-TEST'
+  - MODULES=Client
+  - MODULES=Server
+  - MODULES=Core
+  - MODULES=External
+  - MODULES=Integration-Test
 
 dist: trusty
 sudo: required

http://git-wip-us.apache.org/repos/asf/storm/blob/5204647e/dev-tools/travis/travis-script.sh
----------------------------------------------------------------------
diff --git a/dev-tools/travis/travis-script.sh b/dev-tools/travis/travis-script.sh
index 83f537a..5845274 100755
--- a/dev-tools/travis/travis-script.sh
+++ b/dev-tools/travis/travis-script.sh
@@ -16,37 +16,49 @@ echo "Ruby version   :  " `ruby -v`
 echo "NodeJs version :  " `node -v`
 echo "Maven version  :  " `mvn -v`
 
+set -x
+
 STORM_SRC_ROOT_DIR=$1
 
 TRAVIS_SCRIPT_DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
 
 cd ${STORM_SRC_ROOT_DIR}
-  
-if [ "$2" == "INTEGRATION-TEST" ]
+
+if [ "$2" == "Integration-Test" ]
+  then
+  exec ./integration-test/run-it.sh
+elif [ "$2" == "Client" ]
+then
+  TEST_MODULES=storm-client
+elif [ "$2" == "Server" ]
+then
+  TEST_MODULES=storm-server
+elif [ "$2" == "Core" ]
+then
+  TEST_MODULES=storm-core
+elif [ "$2" == "External" ]
 then
-  /bin/bash ./integration-test/run-it.sh
-else
-  # We should be concerned that Travis CI could be very slow because it uses VM
-  export STORM_TEST_TIMEOUT_MS=150000
-  # Travis only has 3GB of memory, lets use 1GB for build, and 1.5GB for forked JVMs
-  export MAVEN_OPTS="-Xmx1024m"
-  
-  TEST_MODULES=$2
-  
-  if [ "$TRAVIS_JDK_VERSION" == "oraclejdk10" ] && [ "$TEST_MODULES" == "'!storm-client,!storm-server,!storm-core'"
]
+  if [ "$TRAVIS_JDK_VERSION" == "oraclejdk10" ]
   then 
-    TEST_MODULES = '!storm-client,!storm-server,!storm-core,!external/storm-cassandra,!external/storm-hive'
+    TEST_MODULES='!storm-client,!storm-server,!storm-core,!external/storm-cassandra,!external/storm-hive'
+  else
+    TEST_MODULES='!storm-client,!storm-server,!storm-core'
   fi
-  
-  mvn --batch-mode test -fae -Pnative,all-tests '-P!include-shaded-deps' -Prat -pl "$TEST_MODULES"
-  BUILD_RET_VAL=$?
-  
-  for dir in `find . -type d -and -wholename \*/target/\*-reports`;
-  do
-    echo "Looking for errors in ${dir}"
-    python ${TRAVIS_SCRIPT_DIR}/print-errors-from-test-reports.py "${dir}"
-  done
-  
-  exit ${BUILD_RET_VAL}
+fi
+# We should be concerned that Travis CI could be very slow because it uses VM
+export STORM_TEST_TIMEOUT_MS=150000
+# Travis only has 3GB of memory, lets use 1GB for build, and 1.5GB for forked JVMs
+export MAVEN_OPTS="-Xmx1024m"
+
+mvn --batch-mode test -fae -Pnative,all-tests '-P!include-shaded-deps' -Prat -pl "$TEST_MODULES"
+BUILD_RET_VAL=$?
+
+for dir in `find . -type d -and -wholename \*/target/\*-reports`;
+do
+  echo "Looking for errors in ${dir}"
+  python ${TRAVIS_SCRIPT_DIR}/print-errors-from-test-reports.py "${dir}"
+done
+
+exit ${BUILD_RET_VAL}
 fi
 


Mime
View raw message